;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Retro Tennis Super Wave 
;;  Copyright (C) 2019 Bamboo Studio 
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  Bamboo Studio.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.
;;
;;  You should have received a copy of the GNU General Public License
;;  along with this program.  If not, see http://www.gnu.org/licenses/.
;;------------------------------------------------------------------------------
.include "cpct_functions.h.s"
.include "man/entity_manager.h.s"
.include "cpctelera.h.s"
.include "physics.h.s"

sys_input_update::
	ld	e_vx(ix),	#0
	ld	e_vy(ix),	#0

	call 	cpct_scanKeyboard_f_asm

	ld		hl, #Key_O
	call	cpct_isKeyPressed_asm
	jr		z, O_NotPressed

O_Pressed:
	ld		e_vx(ix),#-1

O_NotPressed:
	ld		hl, #Key_P 
	call 	cpct_isKeyPressed_asm
	jr 		z, P_NotPressed


P_Pressed:
	ld		e_vx(ix),#1

P_NotPressed:
	ld		hl, #Key_Q 
	call 	cpct_isKeyPressed_asm
	jr 		z, Q_NotPressed


Q_Pressed:
	ld		e_vy(ix),#-1

Q_NotPressed:
	ld		hl, #Key_A 
	call 	cpct_isKeyPressed_asm
	jr 		z, A_NotPressed


A_Pressed:
	ld		e_vy(ix),#1

A_NotPressed:

ld     e_ai_aim_x(ix), #1

ret
